Subject: problem about Packet Redirect TLV encapsulation

From: Jia Fenggen <[email-masked]>
Date: Mon, 16 Jan 2006 16:44:14 +0800

Hi,all:
    I have excerpt the following text from the draft-forces-protocol-6.txt 
for easing my explanation: 

>Redirect Data TLV
>      This is a TLV describing one packet of data to be directed via the
>      redirect operation.  The TLV format is as follows:
>
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |    Type = REDIRECTDATA        |               Length          |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |                        Redirected Data                        |
>   .                                                               .
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

>Redirected Data:
>      This field presents the whole packet that is to be redirected.
>      The packet should be 32bits aligned.
>
my question is:
    how to use the above TLV to express the vary sized redirect 
packet?since the length field is the total length of the padded redirect 
packet in quad words including the type and length field, when  CE receive  
such a redirect packet,it can't infer from the TLV how long  the redirect 
packet really is,should we further define the Redirect Data to include the 
real length of the redirect packet? 
   
Yours,fenggen

_________________________________________________________________
与联机的朋友进行交流，请使用 MSN Messenger:  http://messenger.msn.com/cn